Bug 991164 - anaconda crashes on startup if 'network is unreachable'
anaconda crashes on startup if 'network is unreachable'
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
All All
unspecified Severity high
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-01 14:42 EDT by Adam Williamson
Modified: 2015-06-29 08:08 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:08:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda-tb from the crash (307.62 KB, text/plain)
2013-08-01 14:42 EDT, Adam Williamson
no flags Details

  None (edit)
Description Adam Williamson 2013-08-01 14:42:20 EDT
Created attachment 781709 [details]
anaconda-tb from the crash

Testing a cutting-edge live image with anaconda 20.4 and all other up-to-date stuff from Rawhide on a KVM, I get a crash on anaconda startup: anaconda-tb is attached.

Shell shows the network as 'up', and ifconfig shows an IP address, and I can ping 192.168.122.1 (the host machine), but pinging anything 'outside' returns 'Network is unreachable' immediately. So obviously there's some issue outside of anaconda with the VM networking, but this condition should not cause anaconda to crash, I don't think.
Comment 1 Steve Tyler 2013-08-03 03:06:56 EDT
anaconda 20.4-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/ntplib.py", line 279, in request
...

That's not anaconda:

$ sudo repoquery python-ntplib --releasever=rawhide
python-ntplib-0:0.3.1-1.fc20.noarch

$ sudo repoquery --list python-ntplib --releasever=rawhide | grep 'ntplib.py$'
/usr/lib/python2.7/site-packages/ntplib.py

$ sudo repoquery --info python-ntplib --releasever=rawhide | grep URL
URL         : http://pypi.python.org/pypi/ntplib/
Comment 2 Steve Tyler 2013-08-03 03:15:06 EDT
$ diff -u anaconda-20.3-1/pyanaconda/ntp.py anaconda-20.4-1/pyanaconda/ntp.py | grep ntplib
+import ntplib
+    client = ntplib.NTPClient()
+    except ntplib.NTPException:
+    client = ntplib.NTPClient()
+    except ntplib.NTPException:
Comment 3 Steve Tyler 2013-08-03 05:06:57 EDT
Simply starting the installer causes the default route to be deleted.[1]
Could be Bug 988741.

journalctl shows:
Aug 03 04:31:26 localhost.localdomain NetworkManager[586]: <error> [1375518686.331620] [nm-policy.c:624] update_ip4_routing(): Failed to set default route.

Tested with:
$ qemu-kvm -m 4096 -hda f19-test-4.img -cdrom ~/xfr/fedora/nightly-composes/Fedora-20-Nightly-x86_64-Live-desktop-20130802.10-1.iso -vga std -boot menu=on

Which has:
anaconda-20.4-1.fc20.x86_64.rpm
NetworkManager-0.9.9.0-8.git20130724.fc20.x86_64.rpm
http://kojipkgs.fedoraproject.org//work/tasks/3293/5693293/livecd.log

[1] Terminal session showing route before and after starting installer:

[liveuser@localhost ~]$ ip route
default via 10.0.2.2 dev ens3  proto static  metric 1024 
10.0.2.0/24 dev ens3  proto kernel  scope link  src 10.0.2.15 

[liveuser@localhost ~]$ liveinst
localuser:root being added to access control list
Starting installer, one moment...
/usr/lib64/python2.7/site-packages/gi/overrides/GLib.py:53: PyGIDeprecationWarning: threads_init longer needs to be called. See: https://bugzilla.gnome.org/show_bug.cgi?id=686914
  PyGIDeprecationWarning)
anaconda 20.4-1 for Fedora 20 (pre-release) started.
^Z
[1]+  Stopped                 liveinst
[liveuser@localhost ~]$ bg
[1]+ liveinst &

[liveuser@localhost ~]$ ip route
10.0.2.0/24 dev ens3  proto kernel  scope link  src 10.0.2.15 
10.0.2.2 dev ens3  proto static  scope link  metric 1024
Comment 4 Fedora End Of Life 2013-09-16 10:58:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 5 Fedora End Of Life 2015-05-29 05:14:07 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-06-29 08:08:50 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.